ModuleProperties (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.module.ModuleProperties class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.module
Class ModuleProperties

    java.lang.Object
      com.meyling.principia.module.ModuleProperties

public final class ModuleProperties
extends Object

Represents a module and its state.

Version:
  $Revision: 1.11 $
Author:
  Michael Meyling

Constructor Summary
`ModuleProperties(ModuleAddress address)` Creates new module properties.

Method Summary
`String` | `getAddress()` Get address of module.
`Exception` | `getException()` Get exception.
`Module` | `getModule()` Get module.
`ModuleAddress` | `getModuleAddress()` Get `ModuleAddress` of module.
`String` | `getModuleVersion()` Get module version information.
`String` | `getName()` Get name of module.
`String` | `getRuleVersion()` Get rule version information.
`ModuleState` | `getState()` Get module state.
`String` | `getStateDescription()` Get module state description.
`String` | `getUrl()` Get orginal URL of module.
`boolean` | `hasFailures()` Is this a failure state the module is in?
`boolean` | `isCheckedAndLoaded()` Get orginal URL of module.
`void` | `setCheckedAndLoaded(Module module)` Set checked and loaded state and module.
`void` | `setCompleteness(int completeness)` Set completeness percentage.
`void` | `setFailureState(ModuleState state, Exception e)` Set failure module state.
`void` | `setProgressState(ModuleState state)` Set progress module state.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModuleProperties

    public ModuleProperties(ModuleAddress address)

  Creates new module properties.

Parameters:
  `address` - module address

Method Detail

### hasFailures

    public final boolean hasFailures()

  Is this a failure state the module is in?

  Returns:
    were there any errors?

### getAddress

    public final String getAddress()

  Get address of module.

  Returns:
    address of module.

### getModuleAddress

    public final ModuleAddress getModuleAddress()

  Get `ModuleAddress` of module. Maybe `null`.

  Returns:
    address of module.

### setCompleteness

    public final void setCompleteness(int completeness)

  Set completeness percentage.

### setProgressState

    public final void setProgressState(ModuleState state)

  Set progress module state.

  Parameters:
    `state` - module state

### setFailureState

    public final void setFailureState(ModuleState state,
                                      Exception e)

  Set failure module state.

  Parameters:
    `state` - module state
  Throws:
    `IllegalArgumentException` - `state` is no failure state

### getState

    public final ModuleState getState()

  Get module state.

  Returns:
    module state.

### getException

    public final Exception getException()

  Get exception.

  Returns:
    exception.

### getStateDescription

    public final String getStateDescription()

  Get module state description.

  Returns:
    module state description.

### getName

    public final String getName()

  Get name of module.

  Returns:
    module name.

### getModuleVersion

    public final String getModuleVersion()

  Get module version information.

  Returns:
    module version.

### getRuleVersion

    public final String getRuleVersion()

  Get rule version information.

  Returns:
    rule version.

### getUrl

    public final String getUrl()

  Get orginal URL of module.

  Returns:
    URL of module.

### isCheckedAndLoaded

    public final boolean isCheckedAndLoaded()

  Get orginal URL of module.

  Returns:
    URL of module.

### setCheckedAndLoaded

    public final void setCheckedAndLoaded(Module module)

  Set checked and loaded state and module.

  Parameters:
    `module` - checked and loaded module.

### getModule

    public final Module getModule()

  Get module.

### toString

    public final String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.